Index: palm/trunk/SOURCE/surface_data_output_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4670)
+++ palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 4671)
@@ -1688,12 +1675,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%qrs, surf_def_h(1)%qrs,            &
-                                                  surf_lsm_h%qrs, surf_usm_h%qrs,                  &
-                                                  surf_def_v(0)%qrs, surf_lsm_v(0)%qrs,            &
-                                                  surf_usm_v(0)%qrs, surf_def_v(1)%qrs,            &
-                                                  surf_lsm_v(1)%qrs, surf_usm_v(1)%qrs,            &
-                                                  surf_def_v(2)%qrs, surf_lsm_v(2)%qrs,            &
-                                                  surf_usm_v(2)%qrs, surf_def_v(3)%qrs,            &
-                                                  surf_lsm_v(3)%qrs, surf_usm_v(3)%qrs )
+                CALL surface_data_output_collect(                                     &
+                          surf_def_h(0)%qrs, surf_lsm_h(0)%qrs, surf_usm_h(0)%qrs,    &
+                          surf_def_h(1)%qrs, surf_lsm_h(1)%qrs, surf_usm_h(1)%qrs,    &
+                          surf_def_v(0)%qrs, surf_lsm_v(0)%qrs, surf_usm_v(0)%qrs,    &
+                          surf_def_v(1)%qrs, surf_lsm_v(1)%qrs, surf_usm_v(1)%qrs,    &
+                          surf_def_v(2)%qrs, surf_lsm_v(2)%qrs, surf_usm_v(2)%qrs,    &
+                          surf_def_v(3)%qrs, surf_lsm_v(3)%qrs, surf_usm_v(3)%qrs )
              ELSE
 !
@@ -1708,12 +1694,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%nrs, surf_def_h(1)%nrs,            &
-                                                  surf_lsm_h%nrs, surf_usm_h%nrs,                  &
-                                                  surf_def_v(0)%nrs, surf_lsm_v(0)%nrs,            &
-                                                  surf_usm_v(0)%nrs, surf_def_v(1)%nrs,            &
-                                                  surf_lsm_v(1)%nrs, surf_usm_v(1)%nrs,            &
-                                                  surf_def_v(2)%nrs, surf_lsm_v(2)%nrs,            &
-                                                  surf_usm_v(2)%nrs, surf_def_v(3)%nrs,            &
-                                                  surf_lsm_v(3)%nrs, surf_usm_v(3)%nrs )
+                CALL surface_data_output_collect(                                     &
+                          surf_def_h(0)%nrs, surf_lsm_h(0)%nrs, surf_usm_h(0)%nrs,    &
+                          surf_def_h(1)%nrs, surf_lsm_h(1)%nrs, surf_usm_h(1)%nrs,    &
+                          surf_def_v(0)%nrs, surf_lsm_v(0)%nrs, surf_usm_v(0)%nrs,    &
+                          surf_def_v(1)%nrs, surf_lsm_v(1)%nrs, surf_usm_v(1)%nrs,    &
+                          surf_def_v(2)%nrs, surf_lsm_v(2)%nrs, surf_usm_v(2)%nrs,    &
+                          surf_def_v(3)%nrs, surf_lsm_v(3)%nrs, surf_usm_v(3)%nrs )
              ELSE
 !
@@ -1728,12 +1713,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%ol, surf_def_h(1)%ol,              &
-                                                  surf_lsm_h%ol, surf_usm_h%ol, surf_def_v(0)%ol,  &
-                                                  surf_lsm_v(0)%ol, surf_usm_v(0)%ol,              &
-                                                  surf_def_v(1)%ol, surf_lsm_v(1)%ol,              &
-                                                  surf_usm_v(1)%ol, surf_def_v(2)%ol,              &
-                                                  surf_lsm_v(2)%ol, surf_usm_v(2)%ol,              &
-                                                  surf_def_v(3)%ol, surf_lsm_v(3)%ol,              &
-                                                  surf_usm_v(3)%ol )
+                CALL surface_data_output_collect(                                  &
+                          surf_def_h(0)%ol, surf_lsm_h(0)%ol, surf_usm_h(0)%ol,    &
+                          surf_def_h(1)%ol, surf_lsm_h(1)%ol, surf_usm_h(1)%ol,    &
+                          surf_def_v(0)%ol, surf_lsm_v(0)%ol, surf_usm_v(0)%ol,    &
+                          surf_def_v(1)%ol, surf_lsm_v(1)%ol, surf_usm_v(1)%ol,    &
+                          surf_def_v(2)%ol, surf_lsm_v(2)%ol, surf_usm_v(2)%ol,    &
+                          surf_def_v(3)%ol, surf_lsm_v(3)%ol, surf_usm_v(3)%ol )
              ELSE
 !
@@ -1748,12 +1732,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%z0, surf_def_h(1)%z0,              &
-                                                  surf_lsm_h%z0, surf_usm_h%z0, surf_def_v(0)%z0,  &
-                                                  surf_lsm_v(0)%z0, surf_usm_v(0)%z0,              &
-                                                  surf_def_v(1)%z0, surf_lsm_v(1)%z0,              &
-                                                  surf_usm_v(1)%z0, surf_def_v(2)%z0,              &
-                                                  surf_lsm_v(2)%z0, surf_usm_v(2)%z0,              &
-                                                  surf_def_v(3)%z0, surf_lsm_v(3)%z0,              &
-                                                  surf_usm_v(3)%z0 )
+                CALL surface_data_output_collect(                                  &
+                          surf_def_h(0)%z0, surf_lsm_h(0)%z0, surf_usm_h(0)%z0,    &
+                          surf_def_h(1)%z0, surf_lsm_h(1)%z0, surf_usm_h(1)%z0,    &
+                          surf_def_v(0)%z0, surf_lsm_v(0)%z0, surf_usm_v(0)%z0,    &
+                          surf_def_v(1)%z0, surf_lsm_v(1)%z0, surf_usm_v(1)%z0,    &
+                          surf_def_v(2)%z0, surf_lsm_v(2)%z0, surf_usm_v(2)%z0,    &
+                          surf_def_v(3)%z0, surf_lsm_v(3)%z0, surf_usm_v(3)%z0 )
              ELSE
 !
@@ -1768,12 +1751,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%z0h, surf_def_h(1)%z0h,            &
-                                                  surf_lsm_h%z0h, surf_usm_h%z0h,                  &
-                                                  surf_def_v(0)%z0h, surf_lsm_v(0)%z0h,            &
-                                                  surf_usm_v(0)%z0h, surf_def_v(1)%z0h,            &
-                                                  surf_lsm_v(1)%z0h, surf_usm_v(1)%z0h,            &
-                                                  surf_def_v(2)%z0h, surf_lsm_v(2)%z0h,            &
-                                                  surf_usm_v(2)%z0h, surf_def_v(3)%z0h,            &
-                                                  surf_lsm_v(3)%z0h, surf_usm_v(3)%z0h )
+                CALL surface_data_output_collect(                                     &
+                          surf_def_h(0)%z0h, surf_lsm_h(0)%z0h, surf_usm_h(0)%z0h,    &
+                          surf_def_h(1)%z0h, surf_lsm_h(1)%z0h, surf_usm_h(1)%z0h,    &
+                          surf_def_v(0)%z0h, surf_lsm_v(0)%z0h, surf_usm_v(0)%z0h,    &
+                          surf_def_v(1)%z0h, surf_lsm_v(1)%z0h, surf_usm_v(1)%z0h,    &
+                          surf_def_v(2)%z0h, surf_lsm_v(2)%z0h, surf_usm_v(2)%z0h,    &
+                          surf_def_v(3)%z0h, surf_lsm_v(3)%z0h, surf_usm_v(3)%z0h )
              ELSE
 !
@@ -1788,12 +1770,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%z0q, surf_def_h(1)%z0q,            &
-                                                  surf_lsm_h%z0q, surf_usm_h%z0q,                  &
-                                                  surf_def_v(0)%z0q, surf_lsm_v(0)%z0q,            &
-                                                  surf_usm_v(0)%z0q, surf_def_v(1)%z0q,            &
-                                                  surf_lsm_v(1)%z0q, surf_usm_v(1)%z0q,            &
-                                                  surf_def_v(2)%z0q, surf_lsm_v(2)%z0q,            &
-                                                  surf_usm_v(2)%z0q, surf_def_v(3)%z0q,            &
-                                                  surf_lsm_v(3)%z0q, surf_usm_v(3)%z0q )
+                CALL surface_data_output_collect(                                     &
+                          surf_def_h(0)%z0q, surf_lsm_h(0)%z0q, surf_usm_h(0)%z0q,    &
+                          surf_def_h(1)%z0q, surf_lsm_h(1)%z0q, surf_usm_h(1)%z0q,    &
+                          surf_def_v(0)%z0q, surf_lsm_v(0)%z0q, surf_usm_v(0)%z0q,    &
+                          surf_def_v(1)%z0q, surf_lsm_v(1)%z0q, surf_usm_v(1)%z0q,    &
+                          surf_def_v(2)%z0q, surf_lsm_v(2)%z0q, surf_usm_v(2)%z0q,    &
+                          surf_def_v(3)%z0q, surf_lsm_v(3)%z0q, surf_usm_v(3)%z0q )
              ELSE
 !
@@ -1808,12 +1789,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%pt1, surf_def_h(1)%pt1,            &
-                                                  surf_lsm_h%pt1, surf_usm_h%pt1,                  &
-                                                  surf_def_v(0)%pt1, surf_lsm_v(0)%pt1,            &
-                                                  surf_usm_v(0)%pt1, surf_def_v(1)%pt1,            &
-                                                  surf_lsm_v(1)%pt1, surf_usm_v(1)%pt1,            &
-                                                  surf_def_v(2)%pt1, surf_lsm_v(2)%pt1,            &
-                                                  surf_usm_v(2)%pt1, surf_def_v(3)%pt1,            &
-                                                  surf_lsm_v(3)%pt1, surf_usm_v(3)%pt1 )
+                CALL surface_data_output_collect(                                     &
+                          surf_def_h(0)%pt1, surf_lsm_h(0)%pt1, surf_usm_h(0)%pt1,    &
+                          surf_def_h(1)%pt1, surf_lsm_h(1)%pt1, surf_usm_h(1)%pt1,    &
+                          surf_def_v(0)%pt1, surf_lsm_v(0)%pt1, surf_usm_v(0)%pt1,    &
+                          surf_def_v(1)%pt1, surf_lsm_v(1)%pt1, surf_usm_v(1)%pt1,    &
+                          surf_def_v(2)%pt1, surf_lsm_v(2)%pt1, surf_usm_v(2)%pt1,    &
+                          surf_def_v(3)%pt1, surf_lsm_v(3)%pt1, surf_usm_v(3)%pt1 )
              ELSE
 !
@@ -1828,12 +1808,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%qv1, surf_def_h(1)%qv1,            &
-                                                  surf_lsm_h%qv1, surf_usm_h%qv1,                  &
-                                                  surf_def_v(0)%qv1, surf_lsm_v(0)%qv1,            &
-                                                  surf_usm_v(0)%qv1, surf_def_v(1)%qv1,            &
-                                                  surf_lsm_v(1)%qv1, surf_usm_v(1)%qv1,            &
-                                                  surf_def_v(2)%qv1, surf_lsm_v(2)%qv1,            &
-                                                  surf_usm_v(2)%qv1, surf_def_v(3)%qv1,            &
-                                                  surf_lsm_v(3)%qv1, surf_usm_v(3)%qv1 )
+                CALL surface_data_output_collect(                                     &
+                          surf_def_h(0)%qv1, surf_lsm_h(0)%qv1, surf_usm_h(0)%qv1,    &
+                          surf_def_h(1)%qv1, surf_lsm_h(1)%qv1, surf_usm_h(1)%qv1,    &
+                          surf_def_v(0)%qv1, surf_lsm_v(0)%qv1, surf_usm_v(0)%qv1,    &
+                          surf_def_v(1)%qv1, surf_lsm_v(1)%qv1, surf_usm_v(1)%qv1,    &
+                          surf_def_v(2)%qv1, surf_lsm_v(2)%qv1, surf_usm_v(2)%qv1,    &
+                          surf_def_v(3)%qv1, surf_lsm_v(3)%qv1, surf_usm_v(3)%qv1 )
              ELSE
 !
@@ -1848,12 +1827,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%vpt1, surf_def_h(1)%vpt1,          &
-                                                  surf_lsm_h%vpt1, surf_usm_h%vpt1,                &
-                                                  surf_def_v(0)%vpt1, surf_lsm_v(0)%vpt1,          &
-                                                  surf_usm_v(0)%vpt1, surf_def_v(1)%vpt1,          &
-                                                  surf_lsm_v(1)%vpt1, surf_usm_v(1)%vpt1,          &
-                                                  surf_def_v(2)%vpt1, surf_lsm_v(2)%vpt1,          &
-                                                  surf_usm_v(2)%vpt1, surf_def_v(3)%vpt1,          &
-                                                  surf_lsm_v(3)%vpt1, surf_usm_v(3)%vpt1 )
+                CALL surface_data_output_collect(                                        &
+                          surf_def_h(0)%vpt1, surf_lsm_h(0)%vpt1, surf_usm_h(0)%vpt1,    &
+                          surf_def_h(1)%vpt1, surf_lsm_h(1)%vpt1, surf_usm_h(1)%vpt1,    &
+                          surf_def_v(0)%vpt1, surf_lsm_v(0)%vpt1, surf_usm_v(0)%vpt1,    &
+                          surf_def_v(1)%vpt1, surf_lsm_v(1)%vpt1, surf_usm_v(1)%vpt1,    &
+                          surf_def_v(2)%vpt1, surf_lsm_v(2)%vpt1, surf_usm_v(2)%vpt1,    &
+                          surf_def_v(3)%vpt1, surf_lsm_v(3)%vpt1, surf_usm_v(3)%vpt1 )
              ELSE
 !
@@ -1868,13 +1846,12 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%usws, surf_def_h(1)%usws,          &
-                                                  surf_lsm_h%usws, surf_usm_h%usws,                &
-                                                  surf_def_v(0)%usws, surf_lsm_v(0)%usws,          &
-                                                  surf_usm_v(0)%usws, surf_def_v(1)%usws,          &
-                                                  surf_lsm_v(1)%usws, surf_usm_v(1)%usws,          &
-                                                  surf_def_v(2)%usws, surf_lsm_v(2)%usws,          &
-                                                  surf_usm_v(2)%usws, surf_def_v(3)%usws,          &
-                                                  surf_lsm_v(3)%usws, surf_usm_v(3)%usws,          &
-                                                  momentumflux_output_conversion )
+                CALL surface_data_output_collect(                                        &
+                          surf_def_h(0)%usws, surf_lsm_h(0)%usws, surf_usm_h(0)%usws,    &
+                          surf_def_h(1)%usws, surf_lsm_h(1)%usws, surf_usm_h(1)%usws,    &
+                          surf_def_v(0)%usws, surf_lsm_v(0)%usws, surf_usm_v(0)%usws,    &
+                          surf_def_v(1)%usws, surf_lsm_v(1)%usws, surf_usm_v(1)%usws,    &
+                          surf_def_v(2)%usws, surf_lsm_v(2)%usws, surf_usm_v(2)%usws,    &
+                          surf_def_v(3)%usws, surf_lsm_v(3)%usws, surf_usm_v(3)%usws,    &
+                          momentumflux_output_conversion )
              ELSE
 !
@@ -1889,13 +1866,12 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%vsws, surf_def_h(1)%vsws,          &
-                                                  surf_lsm_h%vsws, surf_usm_h%vsws,                &
-                                                  surf_def_v(0)%vsws, surf_lsm_v(0)%vsws,          &
-                                                  surf_usm_v(0)%vsws, surf_def_v(1)%vsws,          &
-                                                  surf_lsm_v(1)%vsws, surf_usm_v(1)%vsws,          &
-                                                  surf_def_v(2)%vsws, surf_lsm_v(2)%vsws,          &
-                                                  surf_usm_v(2)%vsws, surf_def_v(3)%vsws,          &
-                                                  surf_lsm_v(3)%vsws, surf_usm_v(3)%vsws,          &
-                                                  momentumflux_output_conversion )
+                CALL surface_data_output_collect(                                        &
+                          surf_def_h(0)%vsws, surf_lsm_h(0)%vsws, surf_usm_h(0)%vsws,    &
+                          surf_def_h(1)%vsws, surf_lsm_h(1)%vsws, surf_usm_h(1)%vsws,    &
+                          surf_def_v(0)%vsws, surf_lsm_v(0)%vsws, surf_usm_v(0)%vsws,    &
+                          surf_def_v(1)%vsws, surf_lsm_v(1)%vsws, surf_usm_v(1)%vsws,    &
+                          surf_def_v(2)%vsws, surf_lsm_v(2)%vsws, surf_usm_v(2)%vsws,    &
+                          surf_def_v(3)%vsws, surf_lsm_v(3)%vsws, surf_usm_v(3)%vsws,    &
+                          momentumflux_output_conversion )
              ELSE
 !
@@ -1910,13 +1886,12 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%shf, surf_def_h(1)%shf,            &
-                                                  surf_lsm_h%shf, surf_usm_h%shf,                  &
-                                                  surf_def_v(0)%shf, surf_lsm_v(0)%shf,            &
-                                                  surf_usm_v(0)%shf, surf_def_v(1)%shf,            &
-                                                  surf_lsm_v(1)%shf, surf_usm_v(1)%shf,            &
-                                                  surf_def_v(2)%shf, surf_lsm_v(2)%shf,            &
-                                                  surf_usm_v(2)%shf, surf_def_v(3)%shf,            &
-                                                  surf_lsm_v(3)%shf, surf_usm_v(3)%shf,            &
-                                                  heatflux_output_conversion )
+                CALL surface_data_output_collect(                                     &
+                          surf_def_h(0)%shf, surf_lsm_h(0)%shf, surf_usm_h(0)%shf,    &
+                          surf_def_h(1)%shf, surf_lsm_h(1)%shf, surf_usm_h(1)%shf,    &
+                          surf_def_v(0)%shf, surf_lsm_v(0)%shf, surf_usm_v(0)%shf,    &
+                          surf_def_v(1)%shf, surf_lsm_v(1)%shf, surf_usm_v(1)%shf,    &
+                          surf_def_v(2)%shf, surf_lsm_v(2)%shf, surf_usm_v(2)%shf,    &
+                          surf_def_v(3)%shf, surf_lsm_v(3)%shf, surf_usm_v(3)%shf,    &
+                          heatflux_output_conversion )
              ELSE
 !
@@ -1930,13 +1905,12 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%qsws, surf_def_h(1)%qsws,          &
-                                                  surf_lsm_h%qsws, surf_usm_h%qsws,                &
-                                                  surf_def_v(0)%qsws, surf_lsm_v(0)%qsws,          &
-                                                  surf_usm_v(0)%qsws, surf_def_v(1)%qsws,          &
-                                                  surf_lsm_v(1)%qsws, surf_usm_v(1)%qsws,          &
-                                                  surf_def_v(2)%qsws, surf_lsm_v(2)%qsws,          &
-                                                  surf_usm_v(2)%qsws, surf_def_v(3)%qsws,          &
-                                                  surf_lsm_v(3)%qsws, surf_usm_v(3)%qsws,          &
-                                                  waterflux_output_conversion )
+                CALL surface_data_output_collect(                                        &
+                          surf_def_h(0)%qsws, surf_lsm_h(0)%qsws, surf_usm_h(0)%qsws,    &
+                          surf_def_h(1)%qsws, surf_lsm_h(1)%qsws, surf_usm_h(1)%qsws,    &
+                          surf_def_v(0)%qsws, surf_lsm_v(0)%qsws, surf_usm_v(0)%qsws,    &
+                          surf_def_v(1)%qsws, surf_lsm_v(1)%qsws, surf_usm_v(1)%qsws,    &
+                          surf_def_v(2)%qsws, surf_lsm_v(2)%qsws, surf_usm_v(2)%qsws,    &
+                          surf_def_v(3)%qsws, surf_lsm_v(3)%qsws, surf_usm_v(3)%qsws,    &
+                          waterflux_output_conversion )
              ELSE
 !
@@ -1951,12 +1925,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%ssws, surf_def_h(1)%ssws,          &
-                                                  surf_lsm_h%ssws, surf_usm_h%ssws,                &
-                                                  surf_def_v(0)%ssws, surf_lsm_v(0)%ssws,          &
-                                                  surf_usm_v(0)%ssws, surf_def_v(1)%ssws,          &
-                                                  surf_lsm_v(1)%ssws, surf_usm_v(1)%ssws,          &
-                                                  surf_def_v(2)%ssws, surf_lsm_v(2)%ssws,          &
-                                                  surf_usm_v(2)%ssws, surf_def_v(3)%ssws,          &
-                                                  surf_lsm_v(3)%ssws, surf_usm_v(3)%ssws )
+                CALL surface_data_output_collect(                                        &
+                          surf_def_h(0)%ssws, surf_lsm_h(0)%ssws, surf_usm_h(0)%ssws,    &
+                          surf_def_h(1)%ssws, surf_lsm_h(1)%ssws, surf_usm_h(1)%ssws,    &
+                          surf_def_v(0)%ssws, surf_lsm_v(0)%ssws, surf_usm_v(0)%ssws,    &
+                          surf_def_v(1)%ssws, surf_lsm_v(1)%ssws, surf_usm_v(1)%ssws,    &
+                          surf_def_v(2)%ssws, surf_lsm_v(2)%ssws, surf_usm_v(2)%ssws,    &
+                          surf_def_v(3)%ssws, surf_lsm_v(3)%ssws, surf_usm_v(3)%ssws )
              ELSE
 !
@@ -1971,12 +1944,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%qcsws, surf_def_h(1)%qcsws,        &
-                                                  surf_lsm_h%qcsws, surf_usm_h%qcsws,              &
-                                                  surf_def_v(0)%qcsws, surf_lsm_v(0)%qcsws,        &
-                                                  surf_usm_v(0)%qcsws, surf_def_v(1)%qcsws,        &
-                                                  surf_lsm_v(1)%qcsws, surf_usm_v(1)%qcsws,        &
-                                                  surf_def_v(2)%qcsws, surf_lsm_v(2)%qcsws,        &
-                                                  surf_usm_v(2)%qcsws, surf_def_v(3)%qcsws,        &
-                                                  surf_lsm_v(3)%qcsws, surf_usm_v(3)%qcsws )
+                CALL surface_data_output_collect(                                           &
+                          surf_def_h(0)%qcsws, surf_lsm_h(0)%qcsws, surf_usm_h(0)%qcsws,    &
+                          surf_def_h(1)%qcsws, surf_lsm_h(1)%qcsws, surf_usm_h(1)%qcsws,    &
+                          surf_def_v(0)%qcsws, surf_lsm_v(0)%qcsws, surf_usm_v(0)%qcsws,    &
+                          surf_def_v(1)%qcsws, surf_lsm_v(1)%qcsws, surf_usm_v(1)%qcsws,    &
+                          surf_def_v(2)%qcsws, surf_lsm_v(2)%qcsws, surf_usm_v(2)%qcsws,    &
+                          surf_def_v(3)%qcsws, surf_lsm_v(3)%qcsws, surf_usm_v(3)%qcsws )
              ELSE
 !
@@ -1991,12 +1963,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%ncsws, surf_def_h(1)%ncsws,        &
-                                                  surf_lsm_h%ncsws, surf_usm_h%ncsws,              &
-                                                  surf_def_v(0)%ncsws, surf_lsm_v(0)%ncsws,        &
-                                                  surf_usm_v(0)%ncsws, surf_def_v(1)%ncsws,        &
-                                                  surf_lsm_v(1)%ncsws, surf_usm_v(1)%ncsws,        &
-                                                  surf_def_v(2)%ncsws, surf_lsm_v(2)%ncsws,        &
-                                                  surf_usm_v(2)%ncsws, surf_def_v(3)%ncsws,        &
-                                                  surf_lsm_v(3)%ncsws, surf_usm_v(3)%ncsws )
+                CALL surface_data_output_collect(                                           &
+                          surf_def_h(0)%ncsws, surf_lsm_h(0)%ncsws, surf_usm_h(0)%ncsws,    &
+                          surf_def_h(1)%ncsws, surf_lsm_h(1)%ncsws, surf_usm_h(1)%ncsws,    &
+                          surf_def_v(0)%ncsws, surf_lsm_v(0)%ncsws, surf_usm_v(0)%ncsws,    &
+                          surf_def_v(1)%ncsws, surf_lsm_v(1)%ncsws, surf_usm_v(1)%ncsws,    &
+                          surf_def_v(2)%ncsws, surf_lsm_v(2)%ncsws, surf_usm_v(2)%ncsws,    &
+                          surf_def_v(3)%ncsws, surf_lsm_v(3)%ncsws, surf_usm_v(3)%ncsws )
              ELSE
 !
@@ -2012,12 +1983,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%qisws, surf_def_h(1)%qisws,        &
-                                                  surf_lsm_h%qisws, surf_usm_h%qisws,              &
-                                                  surf_def_v(0)%qisws, surf_lsm_v(0)%qisws,        &
-                                                  surf_usm_v(0)%qisws, surf_def_v(1)%qisws,        &
-                                                  surf_lsm_v(1)%qisws, surf_usm_v(1)%qisws,        &
-                                                  surf_def_v(2)%qisws, surf_lsm_v(2)%qisws,        &
-                                                  surf_usm_v(2)%qisws, surf_def_v(3)%qisws,        &
-                                                  surf_lsm_v(3)%qisws, surf_usm_v(3)%qisws )
+                CALL surface_data_output_collect(                                           &
+                          surf_def_h(0)%qisws, surf_lsm_h(0)%qisws, surf_usm_h(0)%qisws,    &
+                          surf_def_h(1)%qisws, surf_lsm_h(1)%qisws, surf_usm_h(1)%qisws,    &
+                          surf_def_v(0)%qisws, surf_lsm_v(0)%qisws, surf_usm_v(0)%qisws,    &
+                          surf_def_v(1)%qisws, surf_lsm_v(1)%qisws, surf_usm_v(1)%qisws,    &
+                          surf_def_v(2)%qisws, surf_lsm_v(2)%qisws, surf_usm_v(2)%qisws,    &
+                          surf_def_v(3)%qisws, surf_lsm_v(3)%qisws, surf_usm_v(3)%qisws )
              ELSE
 !
@@ -2032,12 +2002,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%nisws, surf_def_h(1)%nisws,        &
-                                                  surf_lsm_h%nisws, surf_usm_h%nisws,              &
-                                                  surf_def_v(0)%nisws, surf_lsm_v(0)%nisws,        &
-                                                  surf_usm_v(0)%nisws, surf_def_v(1)%nisws,        &
-                                                  surf_lsm_v(1)%nisws, surf_usm_v(1)%nisws,        &
-                                                  surf_def_v(2)%nisws, surf_lsm_v(2)%nisws,        &
-                                                  surf_usm_v(2)%nisws, surf_def_v(3)%nisws,        &
-                                                  surf_lsm_v(3)%nisws, surf_usm_v(3)%nisws )
+                CALL surface_data_output_collect(                                           &
+                          surf_def_h(0)%nisws, surf_lsm_h(0)%nisws, surf_usm_h(0)%nisws,    &
+                          surf_def_h(1)%nisws, surf_lsm_h(1)%nisws, surf_usm_h(1)%nisws,    &
+                          surf_def_v(0)%nisws, surf_lsm_v(0)%nisws, surf_usm_v(0)%nisws,    &
+                          surf_def_v(1)%nisws, surf_lsm_v(1)%nisws, surf_usm_v(1)%nisws,    &
+                          surf_def_v(2)%nisws, surf_lsm_v(2)%nisws, surf_usm_v(2)%nisws,    &
+                          surf_def_v(3)%nisws, surf_lsm_v(3)%nisws, surf_usm_v(3)%nisws )
              ELSE
 !
@@ -2052,12 +2021,11 @@
 !--          Output of instantaneous data
              IF ( av == 0 )  THEN
-                CALL surface_data_output_collect( surf_def_h(0)%qrsws, surf_def_h(1)%qrsws,        &
-                                                  surf_lsm_h%qrsws, surf_usm_h%qrsws,              &
-                                                  surf_def_v(0)%qrsws, surf_lsm_v(0)%qrsws,        &
-                                                  surf_usm_v(0)%qrsws, surf_def_v(1)%qrsws,        &
-                                                  surf_lsm_v(1)%qrsws, surf_usm_v(1)%qrsws,        &
-                                                  surf_def_v(2)%qrsws, surf_lsm_v(2)%qrsws,        &
-                                                  surf_usm_v(2)%qrsws, surf_def_v(3)%qrsws,        &
-                                                  surf_lsm_v(3)%qrsws, surf_usm_v(3)%qrsws )
+                CALL surface_data_output_collect(                                           &
+                          surf_def_h(0)%qrsws, surf_lsm_h(0)%qrsws, surf_usm_h(0)%qrsws,    &
+                          surf_def_h(1)%qrsws, surf_lsm_h(1)%qrsws, surf_usm_h(1)%qrsws,    &
+                          surf_def_v(0)%qrsws, surf_lsm_v(0)%qrsws, surf_usm_v(0)%qrsws,    &
+                          surf_def_v(1)%qrsws, surf_lsm_v(1)%qrsws, surf_usm_v(1)%qrsws,    &
+                          surf_def_v(2)%qrsws, surf_lsm_v(2)%qrsws, surf_usm_v(2)%qrsws,    &
+                          surf_def_v(3)%qrsws, surf_lsm_v(3)%qrsws, surf_usm_v(3)%qrsws )
              ELSE
 !
